Package: org.grails.commons

## [Java] Class DefaultGrailsCodecClass.ClosureDecoder

- org.grails.commons.DefaultGrailsCodecClass.ClosureDecoder

- All Implemented Interfaces and Traits:
    Decoder

      private static class DefaultGrailsCodecClass.ClosureDecoder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.lang.Closure<java.lang.Object>` | `closure` |
    `private CodecIdentifier` | `codecIdentifier` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureDecoder (java.lang.String codecName, groovy.lang.Closure<java.lang.Object> closure)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `decode(java.lang.Object o)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private groovy.lang.Closure<java.lang.Object> closure

    - #### private CodecIdentifier codecIdentifier

  - ### Constructor Detail

    - #### public ClosureDecoder(java.lang.String codecName, groovy.lang.Closure<java.lang.Object> closure)

  - ### Method Detail

    - #### public java.lang.Object decode(java.lang.Object o)

    - #### public CodecIdentifier getCodecIdentifier()